Help getting MagicMirror going.



  • getting magic mirror going


  • Moderator

    Please read the instructions available at https://github.com/MichMich/MagicMirror (scroll down). Tell us what you’ve done, what you’ve tried, what hardware you’re on, version of operating system, and what’s not working.



  • Sorry about that my internet here went out for a few minutes.
    Here is the rest of what I was trying to add to my first post…

    I would like some help getting my pi2 running Rasbian jessie working.
    I think that i installed all I need to but am not 100% sure, the auto installer failed and i attempted to install manually.

    My first thought was that Electron was not installed or not installed correctly so i tried running the “node serveronly” option but that failed too. from the results of that i am lead to believe that it has something to do with the modules. I had originally try to customize my the config for the modules but i now have all the default settings in place.


    I have also included the log file from the last error 0_1464396891025_npm-debug.log


    This is the error that i get when i try “npm start”.

    pi@raspberrypi:~/MagicMirror $ npm start

    magicmirror@2.0.0 start /home/pi/MagicMirror
    electron js/electron.js

    /home/pi/MagicMirror/node_modules/electron-prebuilt/dist/electron: relocation error: /home/pi/MagicMirror/node_modules/electron-prebuilt/dist/electron: symbol t4lessIjESaIS2_EE17_M_insert_unique_IS2_EESt17_Rb_tree_iteratorIS2_ESt23_Rb_tree_const_iteratorIS2_EOT_, version GLIBC_2.4 not defined in file libm.so.6 with link time reference

    npm ERR! Linux 4.1.13-v7+
    npm ERR! argv “/usr/bin/nodejs” “/usr/bin/npm” "start"
    npm ERR! node v6.2.0
    npm ERR! npm v3.8.9
    npm ERR! file sh
    npm ERR! code ELIFECYCLE
    npm ERR! errno ENOENT
    npm ERR! syscall spawn
    npm ERR! magicmirror@2.0.0 start: electron js/electron.js
    npm ERR! spawn ENOENT
    npm ERR!
    npm ERR! Failed at the magicmirror@2.0.0 start script ‘electron js/electron.js’.
    npm ERR! Make sure you have the latest version of node.js and npm installed.
    npm ERR! If you do, this is most likely a problem with the magicmirror package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR! electron js/electron.js
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR! npm bugs magicmirror
    npm ERR! Or if that isn’t available, you can get their info via:
    npm ERR! npm owner ls magicmirror
    npm ERR! There is likely additional logging output above.

    npm ERR! Please include the following file with any support request:
    npm ERR! /home/pi/MagicMirror/npm-debug.log


    This is what i get when i run “node serveronly”

    pi@raspberrypi:~/MagicMirror $ node serveronly
    module.js:442
    throw err;
    ^

    Error: Cannot find module 'finalhandler’
    at Function.Module._resolveFilename (module.js:440:15)
    at Function.Module._load (module.js:388:25)
    at Module.require (module.js:468:17)
    at require (internal/module.js:20:19)
    at Object. (/home/pi/MagicMirror/node_modules/express/lib/application.js:16:20)
    at Module._compile (module.js:541:32)
    at Object.Module._extensions…js (module.js:550:10)
    at Module.load (module.js:458:32)
    at tryModuleLoad (module.js:417:12)
    at Function.Module._load (module.js:409:3)


Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.